## org.jfree.data
Class TimeSeriesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.jfree.data.TimeSeriesTableModel

All Implemented Interfaces:
  java.util.EventListener, java.io.Serializable, SeriesChangeListener, javax.swing.table.TableModel

public class TimeSeriesTableModel
extends javax.swing.table.AbstractTableModel
implements SeriesChangeListener

Wrapper around a time series to convert it to a table model for use in a JTable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`TimeSeriesTableModel()` Default constructor.
`TimeSeriesTableModel(TimeSeries series)` Constructs a table model for a time series.
`TimeSeriesTableModel(TimeSeries series, boolean editable)` Creates a table model based on a time series.

Method Summary
`java.lang.Class` `getColumnClass(int column)` Returns the column class in the table model.
`int` `getColumnCount()` Returns the number of columns in the table model.
`java.lang.String` `getColumnName(int column)` Returns the name of a column
`int` `getRowCount()` Returns the number of rows in the table model.
`java.lang.Object` `getValueAt(int row, int column)` Returns the data value for a cell in the table model.
`boolean` `isCellEditable(int row, int column)` Returns a flag indicating whether or not the specified cell is editable.
`void` `seriesChanged(SeriesChangeEvent event)` Receives notification that the time series has been changed.
`void` `setValueAt(java.lang.Object value, int row, int column)` Updates the time series.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesTableModel

    public TimeSeriesTableModel()

  Default constructor.

### TimeSeriesTableModel

    public TimeSeriesTableModel(TimeSeries series)

  Constructs a table model for a time series.

Parameters:
  `series` - the time series.

### TimeSeriesTableModel

    public TimeSeriesTableModel(TimeSeries series,
                                boolean editable)

  Creates a table model based on a time series.

Parameters:
  `series` - the time series.
  `editable` - if <ocde>true, the table is editable.

Method Detail

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the table model. For this particular model, the column count is fixed at 2.

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`
  Returns:
    The column count.

### getColumnClass

    public java.lang.Class getColumnClass(int column)

  Returns the column class in the table model.

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Parameters:
    `column` - The column index.
  Returns:
    the column class in the table model.

### getColumnName

    public java.lang.String getColumnName(int column)

  Returns the name of a column

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Parameters:
    `column` - the column index.
  Returns:
    the name of a column.

### getRowCount

    public int getRowCount()

  Returns the number of rows in the table model.

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`
  Returns:
    The row count.

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

  Returns the data value for a cell in the table model.

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`
  Parameters:
    `row` - The row number.
    `column` - The column number.
  Returns:
    the data value for a cell in the table model.

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Returns a flag indicating whether or not the specified cell is editable.

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Parameters:
    `row` - the row number.
    `column` - the column number.
  Returns:
    `true` if the specified cell is editable.

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int column)

  Updates the time series.

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Parameters:
    `value` - the new value.
    `row` - the row.
    `column` - the column.

### seriesChanged

    public void seriesChanged(SeriesChangeEvent event)

  Receives notification that the time series has been changed. Responds by firing a table data change event.

  Specified by:
    `seriesChanged` in interface `SeriesChangeListener`
  Parameters:
    `event` - the event.